﻿Enumeration
  #text
  #ch_path;full path
  #ch_fld ;explore folder
  #ch_txt ;include prefix
  #txt1   ;1st prefix
  #txt2   ;2nd prefix
  #btn_clear;clear field
EndEnumeration

Procedure addstr(File$)
  If GetGadgetState(#ch_path)
    File$ =GetFilePart(File$)
  EndIf
  
  If GetGadgetState(#ch_txt)
    File$=GetGadgetText(#txt1)+File$+GetGadgetText(#txt2)
  EndIf
  
  t.s=GetGadgetText(#text)
  SetGadgetText(#text, t+File$+Chr(13)+Chr(10) )
EndProcedure

If OpenWindow(0, #PB_Ignore,#PB_Ignore,640,480, "DropNames", #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget)
  StringGadget(#text, 0, 40, 620, 440,"",#ES_MULTILINE|#ES_AUTOVSCROLL|#WS_VSCROLL|#WS_HSCROLL|#ESB_DISABLE_LEFT|#ESB_DISABLE_RIGHT) 
  
  EnableGadgetDrop(#text,#PB_Drop_Files,#PB_Drag_Copy)
  GadgetToolTip(#text,"drop file here")
  
  CheckBoxGadget(#ch_path,0,0,80,20,"only name"):GadgetToolTip(#ch_path,"add name without path")
  CheckBoxGadget(#ch_fld,80,0,80,20,"folder"):GadgetToolTip(#ch_fld,"explore folder")
  ButtonGadget(#btn_clear,600,0,40,20,"clr"):GadgetToolTip(#btn_clear,"clear text field")
  
  CheckBoxGadget(#ch_txt,0,20,80,20,"add prefixes"):GadgetToolTip(#ch_txt,"add text to filename")
  StringGadget(#txt1,80,20,270,20,""):GadgetToolTip(#txt1,"1st text prefix")
  StringGadget(#txt2,80+280,20,270,20,""):GadgetToolTip(#txt2,"2nd text prefix")
  
  quit=0
  Repeat
    EventID = WaitWindowEvent() 
    Select EventID
      Case #PB_Event_Gadget
        Select EventGadget()
          Case #btn_clear
            SetGadgetText(#text,"")
        EndSelect
      Case #PB_Event_GadgetDrop
        r.s=EventDropFiles()
        Count  = CountString(r, Chr(10)) + 1
        For ii = 1 To Count
          File$ = StringField(r, ii, Chr(10))
          
          If GetGadgetState(#ch_fld)
            If FileSize(File$)=-2
              If ExamineDirectory(0, File$, "*.*")  
                While NextDirectoryEntry(0)
                  If DirectoryEntryType(0) = #PB_DirectoryEntry_File
                    addstr( File$+"\"+DirectoryEntryName(0) )
                  EndIf
                Wend
                FinishDirectory(0)
              EndIf
              
            EndIf
          Else
            addstr(File$)
          EndIf
          ;             If GetGadgetState(#ch_path)
          ;               File$ =GetFilePart(File$)
          ;             EndIf
          ;             
          ;             If GetGadgetState(#ch_txt)
          ;               File$=GetGadgetText(#txt1)+File$+GetGadgetText(#txt2)
          ;             EndIf
          ; 
          ;             t.s=GetGadgetText(#text)
          ;             SetGadgetText(#text, t+Chr(13)+Chr(10)+File$ )
        Next ii
        
    EndSelect
    
    If EventID = #PB_Event_CloseWindow 
      Quit = 1 
    EndIf 
  Until Quit = 1
  
EndIf
; IDE Options = PureBasic 5.30 (Windows - x86)
; CursorPosition = 57
; FirstLine = 36
; Folding = -
; EnableUnicode
; EnableXP
; UseIcon = spare.ico
; Executable = dropname.exe